import {
  describe,
  expect,
  it,
  vi,
} from 'vitest';
import { readFile } from 'fs/promises';
import { prefix, read } from '../file';

vi.mock('fs/promises');

describe('file', () => {
  it('reads from the local file system', async () => {
    await read('foo');
    expect(readFile).toBeCalled();
  });

  it('exports a prefix', () => {
    expect(prefix).toBeTypeOf('string');
  });
});
