import { describe, expect, it } from 'vitest';
import { read, prefix } from '../text';

describe('text', () => {
  it('resolves to a string array', async () => {
    const cards = await read('hello|hi|foo');
    expect(cards).toHaveLength(3);
  });

  it('exports a prefix', () => {
    expect(prefix).toBeTypeOf('string');
  });
});
