import { readFile } from 'fs/promises';

// input is without the prefix
export const read = async (input: string) => {
  const buffer = await readFile(input);
  const contents = buffer.toString('utf-8');
  return contents.split('\n\n');
};

export const prefix = 'file:///' as const;
